Skip to main content
GET
/
api
/
v1
/
clusters
/
hetzner
/
server-types
List available Hetzner server types
import requests

url = "https://platform.ankra.app/api/v1/clusters/hetzner/server-types"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/clusters/hetzner/server-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/hetzner/server-types \
--header 'Authorization: Bearer <token>'
[
  {
    "architecture": "<string>",
    "available": true,
    "cores": 123,
    "cpu_type": "<string>",
    "description": "<string>",
    "disk": 123,
    "memory": 123,
    "name": "<string>",
    "price_monthly": 123
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Query Parameters

credential_id
string<uuid>
required

Hetzner credential ID to use for API access

location
string | null

Filter availability by location

Response

Server types retrieved from Hetzner API with availability info

architecture
string
required
available
boolean
required
cores
integer
required
cpu_type
string
required
description
string
required
disk
integer
required
memory
number
required
name
string
required
price_monthly
number
required